Bug 145059 - FILESAVE XLSX Changing the conditional formatting of autofiltered color loses the filter condtion
Summary: FILESAVE XLSX Changing the conditional formatting of autofiltered color loses...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.4.0 target:7.3.0.2
Keywords: filter:xlsx, implementationError
Depends on:
Blocks: AutoFilter-Color
  Show dependency treegraph
 
Reported: 2021-10-11 06:56 UTC by Gabor Kelemen (allotropia)
Modified: 2022-01-11 08:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (11.53 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-10-11 06:56 UTC, Gabor Kelemen (allotropia)
Details
The example file with the filtered conditional format replaced in Excel (10.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-10-11 06:57 UTC, Gabor Kelemen (allotropia)
Details
The example file with the filtered conditional format replaced in Calc (7.16 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-10-11 06:57 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the two modified documents side by side in Excel (126.78 KB, image/png)
2021-10-11 06:57 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2021-10-11 06:56:41 UTC
Created attachment 175648 [details]
Example file from Excel

When an XLSX spreadsheet contains autofiltered data set to a color defined by a conditional format, and the conditional formatting is changed to another color, saving the file as XLSX loses the color filtering in Excel.

Steps to reproduce:
    1. Open attached file, it contains some conditionally formatted text.
    2. Set the autofilter on column A to filter for blue text color
    3. Change conditional formatting of condition “Cell value starts with “c” from the blue style to Bad style, which has red font color.
    4. Save the file as XLSX, reload in Excel

Actual results:
Excel does not see the autofilter condition as active.

Expected results:
Excel should see the condition as active, upon changing the “Cell value starts with “c” formats font color back to the blue color it should show it as selected.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b1488cd6f008049a9aaff7350deeb73cbbd535b6
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (en_US); UI: en-US
Calc: threaded
Comment 1 Gabor Kelemen (allotropia) 2021-10-11 06:57:16 UTC
Created attachment 175649 [details]
The example file with the filtered conditional format replaced in Excel
Comment 2 Gabor Kelemen (allotropia) 2021-10-11 06:57:35 UTC
Created attachment 175650 [details]
The example file with the filtered conditional format replaced in Calc
Comment 3 Gabor Kelemen (allotropia) 2021-10-11 06:57:52 UTC
Created attachment 175651 [details]
Screenshot of the two modified documents side by side in Excel
Comment 4 Samuel Mehrbrodt (allotropia) 2021-12-07 07:42:14 UTC
Confirmed.

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: fd11f019e8b7253131bdb09f8023f15cd6525bf8
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: de-DE
Calc: CL
Comment 5 Commit Notification 2022-01-06 20:26:08 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f0ad6ec2a23a36ade407db8cda36655ba2f144c1

tdf#145059: sc: always write dxf node for color filter for XLSX

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-01-11 08:12:22 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/d73cf0abc3d1bfd7e3a1d3d1b41c63bbb17d61bb

tdf#145059: sc: always write dxf node for color filter for XLSX

It will be available in 7.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.